# - Try to find INOVASIS
# Once done this will define
#
#  INOVASIS_FOUND - system has INOVASIS
#  INOVASIS_INCLUDE_DIR - the INOVASIS include directory
#  INOVASIS_LIBRARIES - Link these to use INOVASIS
#  INOVASIS_VERSION_STRING - Human readable version number of inovasis
#  INOVASIS_VERSION_MAJOR  - Major version number of inovasis
#  INOVASIS_VERSION_MINOR  - Minor version number of inovasis

# Copyright (c) 2017, Ilia Platone, <info@iliaplatone.com>
# Based on FindLibfacile by Carsten Niehaus, <cniehaus@gmx.de>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if (INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)

  # in cache already
  set(INOVASIS_FOUND TRUE)
  message(STATUS "Found INOVASIS: ${INOVASIS_LIBRARIES}")


else (INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)

    find_path(INOVASIS_INCLUDE_DIR inovasis.h
      PATH_SUFFIXES inova
      ${_obIncDir}
      ${GNUWIN32_DIR}/include
    )

  find_library(INOVASIS_LIBRARIES NAMES inovasis
    PATHS
    ${_obLinkDir}
    ${GNUWIN32_DIR}/lib
    /usr/local/lib
    HINTS ${CMAKE_C_IMPLICIT_LINK_DIRECTORIES}
  )

if(INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)
  set(INOVASIS_FOUND TRUE)
else (INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)
  set(INOVASIS_FOUND FALSE)
endif(INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)

  if (INOVASIS_FOUND)
    if (NOT INOVASIS_FIND_QUIETLY)
      message(STATUS "Found INOVASIS: ${INOVASIS_LIBRARIES}")
    endif (NOT INOVASIS_FIND_QUIETLY)
  else (INOVASIS_FOUND)
    if (INOVASIS_FIND_REQUIRED)
      message(FATAL_ERROR "INOVASIS not found. Please install libinovasis-dev")
    endif (INOVASIS_FIND_REQUIRED)
  endif (INOVASIS_FOUND)

  mark_as_advanced(INOVASIS_LIBRARIES)
  
endif (INOVASIS_INCLUDE_DIR AND INOVASIS_LIBRARIES)
